package net.minecraft.src.pwnedgod.wirelessstorage;

import java.util.LinkedList;
import java.util.List;
import net.minecraft.src.GuiButton;
import net.minecraft.src.GuiContainer;
import net.minecraft.src.pwnedgod.Utils;

import org.lwjgl.opengl.GL11;

public class PG_GuiRedstoneBehavior extends GuiContainer
{
	public PG_TileEntityWirelessStorage mainTEntity;
	
	public PG_GuiRedstoneBehavior(PG_TileEntityWirelessStorage tEntity) 
	{
		super(tEntity.emptyContainer);
		mainTEntity = tEntity;
		xSize = 227;
        ySize = 74;
	}

	public void initGui()
	{
		super.initGui();
		int j = (width - xSize) / 2;
		int k = (height - ySize) / 2;
		controlList.add(Utils.iconButton(1, j + 143, k + 11, 20, 20, "/pwnedgod/wirelessstorage/textures/GUIREDSTONE.png", 16, 74));
		controlList.add(Utils.iconButton(2, j + 64, k + 11, 20, 20, "/pwnedgod/wirelessstorage/textures/GUIREDSTONE.png", 0, 74));
	}
	
	public void actionPerformed(GuiButton guibutton)
	{
		int modifier = mainTEntity.currentBehavior;
		if(guibutton.id == 1)
		{
			modifier++;
			if(modifier == 7) modifier = 0;
			mainTEntity.currentBehavior = modifier;
		}
		if(guibutton.id == 2)
		{
			modifier--;
			if(modifier < 0) modifier = 6;
			mainTEntity.currentBehavior = modifier;
		}
		if(Utils.isOnServer())
		{
			Utils.sendPacket(mainTEntity.sendGuiData());
		}
	}
	
	public void drawGuiContainerForegroundLayer()
	{
		fontRenderer.drawString(mainTEntity.currentBehaviorName, 34, 52, 0xffffff);
	}
	
	public void drawGuiContainerBackgroundLayer(float f, int x, int y)
	{
		int i = mc.renderEngine.getTexture("/pwnedgod/wirelessstorage/textures/GUIREDSTONE.png");
		GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
		mc.renderEngine.bindTexture(i);
		int j = (width - xSize) / 2;
		int k = (height - ySize) / 2;
		drawTexturedModalRect(j, k, 0, 0, xSize, ySize);
		
		drawTexturedModalRect(j + 16, k + 49, mainTEntity.hPosForIcon, 91, 16, 16);
	}
}
