package net.minecraft.src.pwnedgod.wirelessstorage;

import java.io.*;

import net.minecraft.src.mod_PGEU;
import net.minecraft.src.pwnedgod.Utils;

public class PG_PacketGuiSyncRequest extends PG_PacketTileEntity 
{
	public static final int ID = 12;

	public boolean[] flagFromFreq;
	public boolean source;
	public int size;
	public int energy;
	
	public PG_PacketGuiSyncRequest(){}

	public PG_PacketGuiSyncRequest(int x, int y, int z)
	{
		super(x, y, z);
	}
	
	public int getId() 
	{
		return ID;
	}
	
	public void writeData(DataOutputStream data) throws IOException
	{
		for(int i = 0; i < flagFromFreq.length; i++)
		{
			data.writeBoolean(flagFromFreq[i]);
		}
		data.writeBoolean(source);
		data.writeInt(size);
		data.writeInt(energy);
	}

	public void readData(DataInputStream data) throws IOException
	{
		for(int i = 0; i < flagFromFreq.length; i++)
		{
			flagFromFreq[i] = data.readBoolean();
		}
		source = data.readBoolean();
		size = data.readInt();
		energy = data.readInt();
	}
	
}
