package net.minecraft.src.pwnedgod.wirelessstorage;

import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import net.minecraft.src.Packet;
import net.minecraft.src.Packet250CustomPayload;
import net.minecraft.src.World;

public abstract class PG_PacketTileEntity extends PG_PacketBase
{
	public int type;
	public int x;
	public int y;
	public int z;
	
	public PG_PacketTileEntity(){}
	public PG_PacketTileEntity(int x, int y, int z)
	{
		this.x = x;
		this.y = y;
		this.z = z;
	}
	
	public void writeData(DataOutputStream data) throws IOException
	{
		data.writeInt(x);
		data.writeInt(y);
		data.writeInt(z);
	}
	
    public void readData(DataInputStream data) throws IOException
    {
    	x = data.readInt();
    	y = data.readInt();
    	z = data.readInt();
    }
	
	public String toString()
    {
        return getId() + " " + getClass().getSimpleName();
    }
}
