package net.minecraft.src.pwnedgod.wirelessstorage;

import net.minecraft.src.AxisAlignedBB;
import net.minecraft.src.ic2.api.Direction;
import net.minecraft.src.Vec3D;

public class PG_AabbUtil
{
	static final class Edge
	{
		public static Edge[] values()
        {
            try
            {
            	return (Edge[])Class.forName("ic2.common.AabbUtil.Edge").getMethod("values").invoke(null);
            } catch(Exception e)
            {
            	e.printStackTrace();
            	throw new RuntimeException("An error occurred while processing AabbUtil Reflection");
            }
        }
		
		public static Edge valueOf(String name)
        {
            try
            {
            	return (Edge)Class.forName("ic2.common.AabbUtil.Edge").getMethod("valueOf", String.class).invoke(null, name);
            } catch(Exception e)
            {
            	e.printStackTrace();
            	throw new RuntimeException("An error occurred while processing AabbUtil Reflection");
            }
        }
	}
	
	public static Direction getIntersection(Vec3D origin, Vec3D direction, AxisAlignedBB bbox, Vec3D intersection)
	{
		try
        {
        	return (Direction)Class.forName("ic2.common.AabbUtil").getMethod("getIntersection", Vec3D.class, Vec3D.class, AxisAlignedBB.class, Vec3D.class).invoke(null, origin, direction, bbox, intersection);
        } catch(Exception e)
        {
        	e.printStackTrace();
        	throw new RuntimeException("An error occurred while processing AabbUtil Reflection");
        }
	}
	
	public static Direction intersects(Vec3D origin, Vec3D direction, AxisAlignedBB bbox)
	{
		try
        {
        	return (Direction)Class.forName("ic2.common.AabbUtil").getMethod("intersects", Vec3D.class, Vec3D.class, AxisAlignedBB.class).invoke(null, origin, direction, bbox);
        } catch(Exception e)
        {
        	e.printStackTrace();
        	throw new RuntimeException("An error occurred while processing AabbUtil Reflection");
        }
	}
}
