package net.minecraft.src.pwnedgod.wirelessstorage;

import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import net.minecraft.src.Packet;
import net.minecraft.src.Packet250CustomPayload;

public abstract class PG_PacketBase 
{
	public Packet getPacket()
    {
        ByteArrayOutputStream bytes = new ByteArrayOutputStream();
        DataOutputStream data = new DataOutputStream(bytes);
        try 
        {
            data.writeByte(getId());
            writeData(data);
        } 
        catch (IOException e) 
        {
            e.printStackTrace();
        }
        Packet250CustomPayload pkt = new Packet250CustomPayload();
        pkt.channel = "PG WS";
        pkt.data    = bytes.toByteArray();
        pkt.length  = pkt.data.length;
        pkt.isChunkDataPacket = false;
        return pkt;
    }  
	
	public abstract int getId();
	
	public abstract void writeData(DataOutputStream data) throws IOException;
	
    public abstract void readData(DataInputStream data) throws IOException;
}
