package net.minecraft.src.pwnedgod.wirelessstorage;

import java.io.*;

import net.minecraft.src.ModLoader;

public class PG_PacketGuiSyncSend extends PG_PacketTileEntity 
{
	public static final int ID = 11;
	
	public int[] integers;
	public String[] strings;
	
	public PG_PacketGuiSyncSend(){}

	public PG_PacketGuiSyncSend(int x, int y, int z)
	{
		super(x, y, z);
	}
	
	public int getId()
	{
		return ID;
	}

	public void writeData(DataOutputStream data) throws IOException
	{
		super.writeData(data);
		for(int i = 0; i < integers.length; i++)
		{
			data.writeInt(integers[i]);
		}
		for(int i = 0; i < strings.length; i++)
		{
			data.writeUTF(strings[i]);
		}
	}
	
	public void readData(DataInputStream data) throws IOException
	{
		super.readData(data);
		for(int i = 0; i < integers.length; i++)
		{
			integers[i] = data.readInt();
		}
		for(int i = 0; i < strings.length; i++)
		{
			strings[i] = data.readUTF();
		}
	}
}
